### Method

# Qmi MessageDmsRestoreFactoryDefaultsOutput ref

since: 1.0

#### Declaration [src]

    QmiMessageDmsRestoreFactoryDefaultsOutput*
    qmi_message_dms_restore_factory_defaults_output_ref (
      QmiMessageDmsRestoreFactoryDefaultsOutput* self
    )

#### Description [src]

Atomically increments the reference count of `self` by one.

Available since: 1.0

#### Return value

Type: `QmiMessageDmsRestoreFactoryDefaultsOutput`

The new reference to `self`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.